langcode: en
status: true
dependencies:
  config:
    - core.entity_view_mode.node.teaser
    - field.field.node.blog.body
    - field.field.node.blog.field_blog_category
    - field.field.node.blog.field_image
    - image.style.s1200xa
    - node.type.blog
  module:
    - image
    - text
    - user
id: node.blog.teaser
targetEntityType: node
bundle: blog
mode: teaser
content:
  body:
    label: hidden
    type: text_summary_or_trimmed
    weight: 2
    settings:
      trim_length: 600
    third_party_settings: {  }
    region: content
  field_blog_category:
    type: entity_reference_label
    weight: 1
    region: content
    label: hidden
    settings:
      link: true
    third_party_settings: {  }
  field_image:
    type: image
    weight: 0
    region: content
    label: hidden
    settings:
      image_style: s1200xa
      image_link: content
    third_party_settings: {  }
  links:
    weight: 3
    region: content
    settings: {  }
    third_party_settings: {  }
hidden: {  }
